import logging
class SofieHdfException(Exception):
    pass
class ChecksumParseError(SofieHdfException):
    pass
class UnknownParseError(SofieHdfException):
    pass
class IncorrectAntDataError(SofieHdfException):
    pass
class ParserCanOnlyParseADict(SofieHdfException):
    pass
class ParserIncorrectDictFormat(SofieHdfException):
    pass
class FileNotSupportedException(SofieHdfException):
    pass
class SetTheTableFirstException(SofieHdfException):
    pass
class TableNotFoundException(SofieHdfException):
    pass
class SofiePyTableAccesCanOnlyWriteLists(SofieHdfException):
    pass
class AntParserLengthNotCorrect(SofieHdfException):
    pass
class AntRawParserLengthNotCorrect(SofieHdfException):
    pass
class DataWithSameTimestampAlreadyInTable(SofieHdfException):
    pass
class IncorrectTableStructureSetTableFirst(SofieHdfException):
    pass
class CSVFileException(SofieHdfException):
    pass
class MetaTableCorruptedException(SofieHdfException):
    pass