import logging
# To change this template, choose Tools | Templates
# and open the template in the editor.

__author__="cooke"
__date__ ="$29-Sep-2011 13:24:56$"
from tables import *
from tables.description import IsDescription

""" The structure of the Run Meta Table. """
class RunMeta(IsDescription):
    runName = StringCol(512,pos=1)
    runExperimentType = StringCol(1024,pos=2)
    runSubject = StringCol(1024,pos=3)
    runObject = StringCol(1024,pos=4)
    runSuccessful = BoolCol(pos=5)
    runCorrupted = BoolCol(pos=6)
    runNotes = StringCol(1024,pos=7)
    Timestamp = Float64Col(pos=10)
""" Used for syncing between systems """
class Sync(IsDescription):
    Sample = Float64Col(pos=1)
    Timestamp = Float64Col(pos=2)

RunMetaName='RunMeta'

CsvImportDataName='CsvImportData'

SyncName='Sync'
