classdef c3dReader < h5Reader
    %C3DREADER Summary of this class goes here
    %   Detailed explanation goes here
    
    properties (Constant)
        tablePreamble = '/C3DMarkerCol_'
    end
    
    methods
        function c3D = c3dReader(filename,runName)
            %Choose the file to access with the run which you would like
            %to read.
            if nargin > 0 % Support calling with 0 arguments
                c3D.filename = filename;
                runName = [runName '/c3d'];
                c3D.runName = runName;       
                c3D.currentPos = runName;
                disp(c3D.currentPos);
            end 
        end %Constructor
        
        function data = readMarker(c3D,threeLetterMarkerName,varargin)
           data = c3D.readLeafData(...
               [c3D.tablePreamble threeLetterMarkerName],varargin{:});
        end % readLeafData
    end
end

