'''
Created on Jan 23, 2013

@author: cooke
'''
import unittest
from sofiehdfformat.core.config import _combinePaths, GESUBDIRECTORY,getGESubDirectory,BAGSUBDIRECTORY,getBagSubDirectory,\
    getDefaultBagFile, USBCAMTMPFILE

class Test(unittest.TestCase):


    def setUp(self):
        pass


    def tearDown(self):
        pass


    def test_combinePath(self):
        self.assertEqual(_combinePaths([]),'/')
        self.assertEqual(_combinePaths(['']),'/')
        self.assertEqual(_combinePaths(['a','b']),'/a/b')
        self.assertEqual(_combinePaths(['','a','b']),'/a/b')
        
    def test_getGESubDirectory(self):
        self.assertEqual(getGESubDirectory(''), '/'+GESUBDIRECTORY)
        self.assertEqual(getGESubDirectory('blah'), '/blah/'+GESUBDIRECTORY)
        
    def test_getBagSubDirectory(self):
        self.assertEqual(getBagSubDirectory(''), '/'+BAGSUBDIRECTORY)
        self.assertEqual(getBagSubDirectory('blah'), '/blah/'+BAGSUBDIRECTORY)
        self.assertEqual(getDefaultBagFile('blah'), '/blah/'+USBCAMTMPFILE.replace('.',''))
        self.assertEqual(getDefaultBagFile(getBagSubDirectory('blah')), '/blah/'+BAGSUBDIRECTORY+'/'+USBCAMTMPFILE.replace('.',''))


if __name__ == "__main__":
    #import sys;sys.argv = ['', 'Test.testName']
    unittest.main()