__author__="cooke"
__date__ ="$23-Nov-2011 17:16:55$"
from setuptools import setup, find_packages
import os
if os.name == 'nt':
    import py2exe
    import sys
    sys.argv.append('py2exe')

setup (
  name = 'sofiehdfformat',
  version = '0.7.0',
  packages = find_packages(),
  install_requires=['numpy','numexpr','msgpack-python','ant','cython','tables'],
  author = 'SofieHDFFormat Team',
  author_email = 'adrian "dot" cooke {at} u t wente <dot> nl',
  description = 'Data conversion software.',
  url = 'https://github.com/agcooke/Sofie-HDF-Format',
  license = open('LICENSE.md').read(),
  long_description=open('README.md').read(),
  zipfile=None,
  options = {'py2exe': {'bundle_files': 1}},
  scripts = [os.path.join('bin','sofie-hdf-format.py')],
  console = [os.path.join('bin','sofie-hdf-format.py')]
)
