# To change this template, choose Tools | Templates
# and open the template in the editor.

__author__="cooke"
__date__ ="$12-Apr-2012 11:50:13$"
import __builtin__
import csv
import logging

from SofieCsvFile import CsvFile
from SofieHdfFormatExceptions import CSVFileException


"""
Implements a File like object to read lines from the ADAMS tab files.

"""
def open(filename,mode='rb',delimiter=','):
        return AdamFile(filename,mode,delimiter);

csv.QUOTE_NONNUMERIC
class AdamFile(CsvFile):
    """ Provides a class to read Adams Tab files. Basically just skips the first 3 lines of
    the csv like file. """
    def __init__(self, filename,mode,delimiter='\t'):
        self.csvfile = __builtin__.open(filename,mode)
#        logging.debug('Error sniffing: '+str(e))
        self.csvfile.seek(0)
        #Skip ADAM headers
        self.csvfile.next()
        self.csvfile.next()
        logging.debug('Delimiter: "'+delimiter+'"')
        try:
            self.reader = csv.DictReader(self.csvfile,dialect='excel-tab')
        except csv.Error,e:
           logging.debug('Error sniffing again: '+str(e))
           raise CSVFileException()
        logging.debug('Filename: '+filename+' Dict:'+str(self.reader)+\
            ' Fields:'+str(self.reader.fieldnames))

