import logging
import __builtin__
import csv

from sofiehdfformat.core.SofieHdfFormatExceptions import CSVFileException
# To change this template, choose Tools | Templates
# and open the template in the editor.

__author__="cooke"
__date__ ="$29-Sep-2011 13:58:46$"
import time
"""
Implements a File like object to read lines from a CSV type file.
"""
def open(filename,mode='rb',delimiter=','):
        return CsvFile(filename,mode,delimiter);

csv.QUOTE_NONNUMERIC
class CsvFile(object):
    def __init__(self, filename,mode='rb',delimiter=','):
        self.csvfile = __builtin__.open(filename,mode)
        try:
            dialect = csv.Sniffer().sniff(self.csvfile.read(1024))
            self.csvfile.seek(0)
            self.reader = csv.DictReader(self.csvfile,dialect=dialect)
        except csv.Error,e:
            logging.debug('Error sniffing: '+str(e))
            self.csvfile.seek(0)
        try:
            self.reader = csv.DictReader(self.csvfile,delimiter=delimiter)
        except csv.Error,e:
            logging.debug('Error sniffing again: '+str(e))
            raise CSVFileException()
        logging.debug('Filename: '+filename+' Dict:'+str(self.reader)+\
            ' Fields:'+str(self.reader.fieldnames))

    def getTableStructure(self,asList=True):
        return self.reader.fieldnames

    def __del__(self):
        self.close()

    def __iter__(self):
        return self.reader.__iter__()

    def close(self):
        if self.csvfile:
            self.csvfile.close()