import logging
# To change this template, choose Tools | Templates
# and open the template in the editor.

__author__="cooke"
__date__ ="$29-Sep-2011 13:58:46$"
import time

from ant.core import log
from sofiehdfformat.core.SofieUtils import convertRawDataToHexString

"""
Implements a File like object to read lines from the SparkFunLogFile file.

"""
def open(filename):
        reader = log.LogReader(filename)
        return SparkFunFile(reader);
    
class SparkFunFile(object):
    def __init__(self, reader):
        self.reader = reader
        
    def readline(self,size=0):
        """
        Reads one sample from the file.
        """
        event = self.reader.read()
        while (event != None):
                  
            if event[0] == log.EVENT_READ:
                data = event[2]                
                #logging.debug('========== [EVENT_READ:{0}] =========='.format(event[1]))
                #if logging.isEnabledFor(logging.debug):
                #    length = 8
                #    while data:
                #        row = data[:length]
                #        data = data[length:]
                #        hex_data = ['%02X' % ord(byte) for byte in row]
                #        logging.debug('0x'+' '.join(hex_data))
                logging.debug('TIMESTAMP:'+\
                    time.ctime(event[1])+\
                    ' : '+convertRawDataToHexString(data))
                return {'packet':data,'timestamp':event[1]};
            event = self.reader.read()
        if event == None:
            return False;
    
    def close(self):
        self.reader.close();

    def __iter__(self):
        return self

    def next(self):
        data = self.readline()
        if data == False or data == None:
            raise StopIteration
        return data
